#!/usr/bin/perl
#

use strict;
use Jcode;
BEGIN {
    if ($] < 5.008001){
        print "1..0 # Skip: Perl 5.8.1 or later required\n";
        exit 0;
    }
    require Test::More;
    Test::More->import(tests => 4);
    
}

my $unistr = "\x{262f}"; # YIN YANG
my $j = jcode($unistr);

is("$j", '?', "FALLBACK: default");

$Jcode::FALLBACK = Encode::FB_PERLQQ;
is("$j", '\x{262f}', "FALLBACK: perlqq");

$Jcode::FALLBACK = Encode::FB_XMLCREF;
is("$j", '&#x262f;', "FALLBACK: xmlcref");

$Jcode::FALLBACK = Encode::FB_HTMLCREF;
is("$j", '&#9775;', "FALLBACK: htmlcref");
__END__

